<!DOCTYPE html>
<html lang="en" class="m-dark-scheme">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Library</title>
    <link rel="stylesheet" href="style.css"> 
    <link rel="stylesheet" href="lib.js">
</head>
<body>
    <main class="g-page">
        <header class="g-header">
            <h1>Get Started</h1>
            <span class="t-daynight">Day/Night</span>
        </header>
        <aside class="g-sidebar">
            <div class="b-sidebar">
                <nav class="b-sidebar-menu">
                    <h4 class="b-sidebar-title">CSS Classes / Actions / Display</h4>
                    <ul class="b-sidebar-list">
                        <li class="b-sidebar-list_item">
                            <a href="#first-section" class="b-sidebar-list_item-link">CSS Classes</a>
                        </li>
                        <li class="b-sidebar-list_item">
                            <a href="#second-section" class="b-sidebar-list_item-link">Actions</a>
                        </li>
                        <li class="b-sidebar-list_item">
                            <a href="#third-section" class="b-sidebar-list_item-link">Display</a>
                        </li>
                    </ul>

                    <h4 class="b-sidebar-title">Handlers / Effects</h4>
                    <ul class="b-sidebar-list">
                        <li class="b-sidebar-list_item">
                            <a href="#handlers" class="b-sidebar-list_item-link">Handlers</a>
                        </li>
                        <li class="b-sidebar-list_item">
                            <a href="#effects" class="b-sidebar-list_item-link">Effects</a>
                        </li>
                    </ul>

                    <h4 class="b-sidebar-title">Components</h4>
                    <ul class="b-sidebar-list">
                        <li class="b-sidebar-list_item">
                            <a href="#accordeon" class="b-sidebar-list_item-link">Accordeon</a>
                        </li>
                        <li class="b-sidebar-list_item">
                            <a href="#tabs" class="b-sidebar-list_item-link">Tabs</a>
                        </li>
                        <li class="b-sidebar-list_item">
                            <a href="#modal" class="b-sidebar-list_item-link">Modal</a>
                        </li>
                        <li class="b-sidebar-list_item">
                            <a href="#carousel" class="b-sidebar-list_item-link">Carousel</a>
                        </li>
                        <li class="b-sidebar-list_item">
                            <a href="#dropdown" class="b-sidebar-list_item-link">DropDown</a>
                        </li>
                    </ul>

                    <!-- <h4 class="b-sidebar-title">Services</h4>
                    <ul class="b-sidebar-list">
                        <li class="b-sidebar-list_item">
                            <a href="#requests" class="b-sidebar-list_item-link">Requests</a>
                        </li>
                    </ul> -->
                </nav>
            </div>
        </aside> 
        <main class="g-content">
                <!-- hr - CSS Classes -->
                <section id="first-section" class="b-element_section">
                    <h3 class="b-element_section-title">CSS Classes</h3>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Add Class</h5>
                            <p class="b-element_text-text">
                                Function for adding class to element:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('div').addClass('some-class');
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Remove Class</h5>
                            <p class="b-element_text-text">
                                Function for remove class from element:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('div').removeClass('some-class');
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Toggle Class</h5>
                            <p class="b-element_text-text">
                                Function for toggle class on element(work with events):
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.g-btn').on('click', function () {               
    $('div').eq(2).toggleClass('active');
});
                                </code>
                            </pre>
                        </div>
                    </article>
                </section>
                <!-- hr - Actions methods -->
                <section id="second-section" class="b-element_section">
                    <h3 class="b-element_section-title">Actions</h3>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">HTML</h5>
                            <p class="b-element_text-text">
                                Function for adding content into tag:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.some-class').html(`Hi, ${person.title}`);
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">EQ</h5>
                            <p class="b-element_text-text">
                                Function for select number element from list elements:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('div').eq(2).toggleClass('active');
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Index</h5>
                            <p class="b-element_text-text">
                                Function for indicate number of element in parent scope:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
console.log($('.some-class').index());
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Find</h5>
                            <p class="b-element_text-text">
                                Function for display all elements in collection:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('div').find('.more');
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Closest</h5>
                            <p class="b-element_text-text">
                                Function for find parent element:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.some').closest('.finddiv');
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Siblings</h5>
                            <p class="b-element_text-text">
                                Function for find all siblings of element:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.more').eq(0).siblings().addClass('testclass')
                                </code>
                            </pre>
                        </div>
                    </article>
                </section>
                <!-- hr - Display methods -->
                <section id="third-section" class="b-element_section">
                    <h3 class="b-element_section-title">Display</h3>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">HTML</h5>
                            <p class="b-element_text-text">
                                Function for adding content into tag:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.some-class').html(`Hi, ${person.title}`);
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">EQ</h5>
                            <p class="b-element_text-text">
                                Function for select number element from list elements:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('div').eq(2).toggleClass('active');
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Index</h5>
                            <p class="b-element_text-text">
                                Function for indicate number of element in parent scope:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
console.log($('.some-class').index());
                                </code>
                            </pre>
                        </div>
                    </article>
                </section>
                <!-- hr - Handlers -->
                <section id="handlers" class="b-element_section">
                    <h3 class="b-element_section-title">Handlers</h3>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">ON method</h5>
                            <p class="b-element_text-text">
                                Allows you to hang various events on an element:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.t-daynight').on('click', function() {
    $('html').toggleClass('m-dark-scheme');
}); 
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">OFF method</h5>
                            <p class="b-element_text-text">
                                Disable event on element:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.t-daynight').off('click', function() {
    $('html').toggleClass('m-dark-scheme');
}); 
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Click event</h5>
                            <p class="b-element_text-text">
                                Added click event to element:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.g-header').click(function() {
    console.log($(this).index());
}); 
                                </code>
                            </pre>
                        </div>
                    </article>
                </section>
                <!-- hr - Effects -->
                <section id="effects" class="b-element_section">
                    <h3 class="b-element_section-title">Effects</h3>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">FadeIn</h5>
                            <p class="b-element_text-text">
                                Method gradually changes the opacity, for selected elements, from hidden to visible (fading effect):
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.some-div').fadeIn(2000);
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">FadeOut</h5>
                            <p class="b-element_text-text">
                                Method gradually changes the opacity, for selected elements, from visible to hidden (fading effect):
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.some-div').off('click', function() {
    $('.more').fadeOut(2000);
}); 
                                </code>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Click event</h5>
                            <p class="b-element_text-text">
                                Added click event to element:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.g-header').click(function() {
    console.log($(this).index());
}); 
                                </code>
                            </pre>
                        </div>
                    </article>
                </section>
                <!-- hr - Accordeon -->
                <section id="accordeon" class="b-element_section m-two">
                    <h3 class="b-element_section-title">Accordeon</h3>
                    <article class="b-element_section-column m-two">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Accordeon</h5>
                            <p class="b-element_text-text">
                                Initialization JS:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.accordeon-first').accordeon(); // Example with one active item
$('.accordeon-second').accordeon('extended'); // Example with multiply active items
                                </code>
                            </pre> 
                        </div>
                        <div class="b-element_text">
                            <p class="b-element_text-text">
                                Example HTML:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
<xmp class="b-element_code-code">
<div class="g-accordeon-wrapper">
    <div class="g-accordeon-item" data-js-accord-item >
        <div class="g-accordeon-control" data-js-accord-control >control</div>
        <div class="g-accordeon-content" data-js-accord-content >content</div>
    </div>
    <div class="g-accordeon-item" data-js-accord-item >
        <div class="g-accordeon-control" data-js-accord-control >control</div>
        <div class="g-accordeon-content" data-js-accord-content >content</div>
    </div>
</div>
</xmp>
                            </pre> 
                        </div>
                    </article> 
                    <article class="b-element_section-column m-two">
                        <div class="b-element_example">
                            <div class="b-element_example-title">Example Only one active item</div>
                            <div class="g-accordeon-wrapper" id="accordeon-first">
                                <div class="g-accordeon-item" data-js-accord-item >
                                    <div class="g-accordeon-control" data-js-accord-control>
                                        <strong>Collapse first element</strong>
                                    </div>
                                    <div class="g-accordeon-content" data-js-accord-content>
                                        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem voluptatibus fuga est cupiditate debitis harum repudiandae modi quia. Enim nobis recusandae totam error veniam quod consequatur nulla, debitis mollitia laborum!
                                    </div>
                                </div>
                                <div class="g-accordeon-item" data-js-accord-item >
                                    <div class="g-accordeon-control" data-js-accord-control>
                                        <strong>Collapse second element</strong>
                                    </div>
                                    <div class="g-accordeon-content" data-js-accord-content>
                                        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem voluptatibus fuga est cupiditate debitis harum repudiandae modi quia. Enim nobis recusandae totam error veniam quod consequatur nulla, debitis mollitia laborum!
                                    </div>
                                </div>
                                <div class="g-accordeon-item" data-js-accord-item >
                                    <div class="g-accordeon-control" data-js-accord-control>
                                        <strong>Collapse third element</strong>
                                    </div>
                                    <div class="g-accordeon-content" data-js-accord-content>
                                        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem voluptatibus fuga est cupiditate debitis harum repudiandae modi quia. Enim nobis recusandae totam error veniam quod consequatur nulla, debitis mollitia laborum!
                                    </div>
                                </div>
                            </div>
                            <div class="b-element_example-title">Example Multiply active items</div>
                            <div class="g-accordeon-wrapper" id="accordeon-second">
                                <div class="g-accordeon-item" data-js-accord-item >
                                    <div class="g-accordeon-control" data-js-accord-control>
                                        <strong>Collapse first element</strong>
                                    </div>
                                    <div class="g-accordeon-content" data-js-accord-content>
                                        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem voluptatibus fuga est cupiditate debitis harum repudiandae modi quia. Enim nobis recusandae totam error veniam quod consequatur nulla, debitis mollitia laborum!
                                    </div>
                                </div>
                                <div class="g-accordeon-item" data-js-accord-item >
                                    <div class="g-accordeon-control" data-js-accord-control>
                                        <strong>Collapse second element</strong>
                                    </div>
                                    <div class="g-accordeon-content" data-js-accord-content>
                                        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem voluptatibus fuga est cupiditate debitis harum repudiandae modi quia. Enim nobis recusandae totam error veniam quod consequatur nulla, debitis mollitia laborum!
                                    </div>
                                </div>
                                <div class="g-accordeon-item" data-js-accord-item >
                                    <div class="g-accordeon-control" data-js-accord-control>
                                        <strong>Collapse third element</strong>
                                    </div>
                                    <div class="g-accordeon-content" data-js-accord-content>
                                        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem voluptatibus fuga est cupiditate debitis harum repudiandae modi quia. Enim nobis recusandae totam error veniam quod consequatur nulla, debitis mollitia laborum!
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                    </article>
                </section>
                <!-- hr - Tabs -->
                <section id="tabs" class="b-element_section m-two">
                    <h3 class="b-element_section-title">Tabs</h3>
                    <article class="b-element_section-column m-two">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Tabs</h5>
                            <p class="b-element_text-text">
                                Tabs simple:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('[data-tabpanel] .tab-item').tab(); 
                                </code>
                            </pre>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
<xmp class="b-element_code-code">
<div class="g-tab" data-tab-container>
    <div class="g-tab-navigation" data-tab-navigation>
        <div class="g-tab-item m-active" data-tab-item>Content 1</div>
        <div class="g-tab-item" data-tab-item>Content 2</div>
        <div class="g-tab-item" data-tab-item>Content 3</div>
    </div>
    <div class="g-tab-content m-active" data-tab-content>
        First content block
    </div>
    <div class="g-tab-content" data-tab-content>
        Second content block
    </div>
    <div class="g-tab-content" data-tab-content>
        Third content block
    </div>
</div>
</xmp>
                            </pre> 
                        </div>
                    </article>
                    <article class="b-element_section-column m-two">
                        <div class="b-element_example">
                            <div class="b-element_example-title">TAB Example</div>
                            <div class="g-tab" data-tab-container>
                                <div class="g-tab-navigation" data-tab-navigation>
                                    <div class="g-tab-item m-active" data-tab-item>Content 1</div>
                                    <div class="g-tab-item" data-tab-item>Content 2</div>
                                    <div class="g-tab-item" data-tab-item>Content 3</div>
                                </div>
                                <div class="g-tab-content m-active" data-tab-content>
                                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                                </div>
                                <div class="g-tab-content" data-tab-content>
                                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                                </div>
                                <div class="g-tab-content" data-tab-content>
                                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                                </div>
                            </div>
                        </div>
                    </article>
                </section>
                <!-- hr - Modal -->
                <section id="modal" class="b-element_section m-two">
                    <h3 class="b-element_section-title">Modal</h3>
                    <article class="b-element_section-column m-two">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Modal Simple</h5>
                            <p class="b-element_text-text">
                                This method for simple modal window:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <xmp class="b-element_code-code">
// JS Init Simple Initialization                                   
$('[data-toggle="modal"]').modal();

// Html Structure of Window
<span class="g-button m-testmodal" data-toggle="modal" data-target="modal-1">g-modal</span>


// Html Structure of modalTrigger
<div class="l-popup" data-modal-id="modal-1"> 
    <div class="l-popup-container">
        <span class="l-popup-close" data-modal-close=""></span>
        <div class="l-popup-content"></div>
    </div>
</div>
                                </xmp>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column m-two">
                        <div class="b-element_example">
                            <div class="b-element_example-title">Popup Example Simple</div><br />
                            <div class="l-popup" data-modal-id="modal-1"> 
                                <div class="l-popup-container">
                                    <span class="l-popup-close" data-modal-close></span>
                                    <div class="l-popup-content">Popup Popup Popup POpup</div>
                                </div>
                            </div>
                            <span class="g-button m-testmodal" data-toggle="modal" data-target="modal-1">g-modal trigger simple</span><br />
                        </div>
                    </article>

                    <article class="b-element_section-column m-two">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Modal Extended</h5>
                            <p class="b-element_text-text">
                                This method for extended modal window:
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <xmp class="b-element_code-code">
// JS Init Extended Initialization                                   
$('[data-target="modal-3"]').click(() => $('[data-target="modal-3"]').createModal({
    text: {
        title: 'Modal Title',
        content: 'Some Body'
    },
    btns: {
        count: 2, // Numbers of btns
        settings: [
            [
                'close window', // Text button
                ['g-button', 'btn-close'], // Add classes to button
                true // Indicates closing button
            ],
            [
                'Save changes', // Text button
                ['g-button', 'btn-send'], // Add classes to button
                false, // Indicates closing button
                () => {
                    alert('Function')
                }
            ] 
        ]
    }
}));
                                </xmp>
                            </pre>
                        </div>
                    </article>
                    <article class="b-element_section-column m-two">
                        <div class="b-element_example">
                            <div class="b-element_example-title">Popup Example Extended</div><br />
                            <span class="g-button m-testmodal" data-toggle="modal" data-target="modal-3">g-modal trigger extended</span><br />
                        </div>
                    </article>
                </section>
                <!-- hr - Carousel -->
                <section id="carousel" class="b-element_section m-two">
                    <h3 class="b-element_section-title">Carousel</h3>
                    <article class="b-element_section-column m-two">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">Carousel</h5>
                            <p class="b-element_text-text">
                                Carousel with the ability to change the number of displayed slides, display navigation and pagination.
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.g-carousel').carousel();
                                </code>
                            </pre> 
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <xmp class="b-element_code-code">
<div class="g-carousel" id="example-1" data-component-options='{
    "pagination": true,  // Works  only with one active slide
    "paginationClass": "g-carousel-indicators",
    "navigation": true,
    "columns": 3,
    "prevBtnClass": "g-carousel-control m-previous",
    "nextBtnClass": "g-carousel-control m-next"
}'>
    <div class="g-carousel-wrap">
        <div class="g-carousel-list">
            <div class="g-carousel-item"></div>
            <div class="g-carousel-item"></div>
            <div class="g-carousel-item"></div>
            <div class="g-carousel-item"></div>
            <div class="g-carousel-item"></div>
        </div>
    </div>
    <div class="g-carousel-nav">
        <span href="#" class="g-carousel-control m-prev" data-slide="prev">&#10094;</span>
        <span href="#" class="g-carousel-control m-next" data-slide="next">&#10095;</span>
    </div>
</div>
                                </xmp>
                            </pre> 
                        </div>
                    </article> 
                    <article class="b-element_section-column m-two">
                        <div class="b-element_example">
                            <!--  -->
                            <div class="g-carousel" id="example" data-component-options='{
                                    "pagination": true,
                                    "paginationClass": "g-carousel-indicators",
                                    "navigation": true,
                                    "columns": 3,
                                    "prevBtnClass": "g-carousel-control m-previous",
                                    "nextBtnClass": "g-carousel-control m-next"
                            }'>
                                <div class="g-carousel-wrap">
                                    <div class="g-carousel-list">
                                        <div class="g-carousel-item">
                                            <figure class="b-img">
                                                <img src="http://www.rosphoto.com/images/u/articles/1510/7_5.jpg" alt="photo" class="g-carousel-item_img">
                                            </figure>
                                            
                                        </div>
                                        <div class="g-carousel-item">
                                            <figure class="b-img">
                                                <img src="https://klike.net/uploads/posts/2020-01/1578662816_1.jpg" alt="photo" class="g-carousel-item_img">
                                            </figure>
                                            
                                        </div>
                                        <div class="g-carousel-item">
                                            <figure class="b-img">
                                                <img src="https://sebweo.com/wp-content/uploads/2019/06/landshaft-bernskikh-alp-v-yasniy-den_thumb.jpg" alt="photo" class="g-carousel-item_img">
                                            </figure>
                                            
                                        </div>

                                        <div class="g-carousel-item">
                                            <figure class="b-img">
                                                <img src="https://androidp1.ru/wp-content/uploads/2016/04/Android.jpg" alt="photo" class="g-carousel-item_img">
                                            </figure>
                                        </div>
                                        <div class="g-carousel-item">
                                            <figure class="b-img">
                                                <img src="https://www.imgonline.com.ua/examples/random-pixels-wallpaper-big.jpg" alt="photo" class="g-carousel-item_img">
                                            </figure>
                                        </div>
                                        <div class="g-carousel-item">
                                            <figure class="b-img">
                                                <img src="https://www.rgo.ru/sites/default/files/styles/full_view/public/node/35205/img-1rertawegt.jpg?itok=uFtuJjmx" alt="photo" class="g-carousel-item_img">
                                            </figure>
                                        </div>
                                    </div>
                                </div>
                                <div class="g-carousel-nav">
                                    <span href="#" class="g-carousel-control m-prev" data-slide="prev">&#10094;</span>
                                    <span href="#" class="g-carousel-control m-next" data-slide="next">&#10095;</span>
                                </div>
                            </div>
                            <!--  -->
                        </div>
                    </article>
                </section>
                <!-- hr - Dropdown -->
                <section id="dropdown" class="b-element_section m-two">
                    <h3 class="b-element_section-title">DropDown</h3>
                    <article class="b-element_section-column m-two">
                        <div class="b-element_text">
                            <h5 class="b-element_text-title">DropDown</h5>
                            <p class="b-element_text-text">
                                Method gradually changes the opacity, for selected elements, from hidden to visible (fading effect):
                            </p>
                        </div>
                        <div class="b-element_code">
                            <a href="#" class="b-element_code-copy">Copy to clipboard</a>
                            <pre class="b-element_code-pre">
                                <code class="b-element_code-code">
$('.g-dropdown').dropdown();
                                </code>
                            </pre> 
                        </div>
                    </article> 
                    <article class="b-element_section-column m-two">
                        <div class="b-element_example" style="display: flex;">
                            <!--  -->
                            <div class="g-dropdown">
                                <div class="g-dropdown-control g-button" data-dropdown-control>Control</div>
                                <div class="g-dropdown-menu" data-dropdown-menu>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</div>
                            </div>
                            <!--  -->
                        </div>
                    </article>
                </section>
        </main>
        <footer class="g-footer">
            <div class="g-container">
                <div class="b-footer_container">
                    <span class="b-footer_container-name">AlexUI Library</span>
                </div>
            </div>
        </footer>
    </main>
    <script src='lib.js'></script>
</body>
</html>